Subject: Re: Build failure on treeboot-walnut.cg

From: Scott Wood <[email-masked]>
Date: Tue, 9 Oct 2007 11:06:45 -0500

On Tue, Oct 09, 2007 at 01:07:29PM +1000, David Gibson wrote:
> On Mon, Oct 08, 2007 at 04:33:24PM -0500, Timur Tabi wrote:
> > Question: I'm building a kernel for the 8610.  Why is treeboot-walnut.c
> > being compiled at all?
> 
> Policy.  Compiling everything means build bugs - like this one - can
> be found by everybody, not just those building for the specific
> obscure platform.

Of course, it also introduces bugs that wouldn't have been an issue if we
didn't try to build everything with the same toolchain. :-P

I'm also somewhat worried what it'll do to build time as platforms
accumulate.

-Scott